%define real_release 1.2.3

Summary:      Midi, audio and notation editor
Name:         rosegarden
Version:      4
Release:      %{real_release}%{?dist}
URL:          http://www.all-day-breakfast.com/rosegarden/
Source0:      rosegarden-%{version}-%{real_release}.tar.bz2
License:      GPL
Group:        Applications/Multimedia
BuildRoot:    %{_tmppath}/%{name}-%{version}-root
Requires:     jack-audio-connection-kit >= 0.80
Obsoletes:    rosegarden4
Obsoletes:    rosegarden-4

BuildRequires: gcc-c++ ladspa-devel xorg-x11-proto-devel
BuildRequires: alsa-lib-devel curl-devel e2fsprogs-devel freetype-devel
BuildRequires: glib2-devel glibc-devel jack-audio-connection-kit-devel
BuildRequires: libart_lgpl-devel libmad-devel openssl-devel qt-devel zlib-devel
BuildRequires: kdelibs-devel libpng-devel libtiff-devel libjpeg-devel
BuildRequires: liblrdf-devel liblo-devel dssi-devel
BuildRequires: libselinux-devel
BuildRequires: arts-devel

%description
Rosegarden-4 is an attractive, user-friendly MIDI and audio sequencer,
notation editor, and general-purpose music composition and editing
application for Unix and Linux

%prep
%setup -q -n rosegarden-%{version}-%{real_release}

%build
scons configure prefix=/usr 
%{__perl} -p -i -e 's|KDEinstallas|KDEinstall|g' SConstruct
scons

%install
%{__rm} -rf %{buildroot}
scons install prefix=/usr DESTDIR=%{buildroot}

# redhat menus
%{__cat} << EOF > startcom-%{name}.desktop
[Desktop Entry]
Name=Rosegarden-4
Comment=Midi and Audio Sequencer and Editor
Icon=%{_datadir}/icons/hicolor/48x48/apps/rosegarden.png
Exec=%{_bindir}/rosegarden
Terminal=false
Type=Application
EOF

%{__mkdir} -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor startcom \
    --dir %{buildroot}%{_datadir}/applications    \
    --add-category X-StartCom-Base                 \
    --add-category Application                    \
    --add-category AudioVideo                     \
    startcom-%{name}.desktop


%{__mv} %{buildroot}%{_datadir}/doc/HTML %{buildroot}%{_datadir}/doc/rosegarden

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/*rosegarden*
%exclude %{_datadir}/applnk/Applications/rosegarden.desktop
%{_datadir}/apps/rosegarden
%{_datadir}/doc/rosegarden
%{_datadir}/locale/*/*/rosegarden.mo
%{_datadir}/mimelnk/audio/*
%{_datadir}/icons/*
%{_datadir}/applications/*%{name}.desktop

%changelog
* Mon Apr 17 2006 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x
- Updated to 4-1.2.3

* Mon May 30 2005 Eddy Nigg <eddy_nigg@startcom.org>
- more changes for StartCom Linux 4.0.x

